Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003215 [JEDI VCL] 00 JVCL Components minor sometimes 2005-09-22 06:42 2006-04-05 01:16
Reporter pawelgoluch View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003215: TJvDBCustomSearchComboBox Bookmarks memory leak
Description       while not EOF do
      begin
        Items.AddObject(FieldByName(FDataLink.FDataFieldName).DisplayText, GetBookmark);
        if Bookmark = Bmrk then
          CurIndex := N;
        Inc(N);
        Next;
      end;

I think that in function ReadList we've got memory leak during call GetBookmark function (see above). In the example below there is a memory leak (see comments)

type
 TExampleFrame = class(TFrame)
   ComboBox: TJvDBSearchComboBox;
 end;

implementation
{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
 DataModule: TDataM;
 Frame: TExampleFrame;
begin
 DataModule:= TDataM.Create(Application);
 Frame:= TExampleFrame.Create(PageList.Pages[0]{example owner});

 Frame.ComboBox.DataSource:= DataModule.TypesSource;
 Frame.ComboBox.DataField:= 'Type';

 Frame.Parent:= PageList.Pages[0];
 Frame.Free; //In that configuration there is
 DataModule.Free; //a memory leak
// DataModule.Free; and in that configuration
// Frame.Free; there isn't memory leak
end;
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008852)
obones (administrator)
2006-04-04 02:41

A call to clearlist has been added in the destructor, this should solve this problem. It will be added to CVS as soon as the system is back online.
(0008921)
obones (administrator)
2006-04-05 01:16

This is now in CVS

- Issue History
Date Modified Username Field Change
2005-09-22 06:42 pawelgoluch New Issue
2006-04-04 02:41 obones Note Added: 0008852
2006-04-04 02:41 obones Status new => confirmed
2006-04-05 01:16 obones Status confirmed => resolved
2006-04-05 01:16 obones Resolution open => fixed
2006-04-05 01:16 obones Assigned To => obones
2006-04-05 01:16 obones Note Added: 0008921


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker